# QDoubleValidator Class Reference

### [com.trolltech.qt.gui package]

Inherits QValidator.

### Constructor

- void QDoubleValidator(QObject parent)
- void QDoubleValidator(double bottom, double top, int decimals, QObject parent)

### Constructor Properties

- prototype: The QDoubleValidator prototype object
- StandardNotation
- ScientificNotation
- Notation( value )

### Prototype Object Properties

The QDoubleValidator prototype object inherits properties from the QValidator prototype object and also has the following properties.

- void setRange(double bottom, double top, int decimals)

### Instance Properties

QDoubleValidator objects inherit properties from the QDoubleValidator prototype object and also have the following properties.

- bottom
- top
- decimals
- notation